<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/main_bg"
    android:orientation="vertical">

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:id="@+id/main_llayout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"
            android:paddingTop="30dp">

            <Button
                android:id="@+id/btn"
                android:layout_width="100dp"
                android:layout_height="100dp"
                android:text="管理页面"
                android:visibility="gone" />


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="21dp"
                android:layout_marginRight="21dp"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/username_tv"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="姓名"
                    android:textColor="#253A70"
                    android:textSize="19sp" />

                <LinearLayout
                    android:id="@+id/loginout_llayout"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="10dp"
                    android:gravity="center_vertical">

                    <ImageView
                        android:id="@+id/loginout_iv"
                        android:layout_width="19dp"
                        android:layout_height="18dp"
                        android:layout_marginRight="2dp"
                        android:src="@drawable/icon_logout" />

                    <TextView
                        android:id="@+id/loginout_tv"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="注销"
                        android:textColor="#253A70"
                        android:textSize="19sp" />
                </LinearLayout>
            </LinearLayout>

            <TextView
                android:id="@+id/userschool_tv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="21dp"
                android:layout_marginRight="21dp"
                android:textColor="#798CB5"
                android:visibility="invisible"
                android:textSize="15sp" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv"
                android:visibility="invisible"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginTop="24dp"
                android:overScrollMode="never" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/lock_llayout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@drawable/main_bg"
            android:gravity="center_horizontal"
            android:orientation="vertical"
            android:visibility="gone">

            <ImageView
                android:layout_width="157dp"
                android:layout_height="151dp"
                android:layout_marginTop="104dp"
                android:src="@drawable/icon_lock" />

            <FrameLayout
                android:layout_width="wrap_content"
                android:layout_height="53dp"
                android:layout_marginTop="26dp">

                <EditText
                    android:id="@+id/lock_et"
                    android:layout_width="357dp"
                    android:layout_height="53dp"
                    android:background="@drawable/shape_shadow_bg"
                    android:hint="@string/passcode"
                    android:maxLength="20"
                    android:paddingLeft="28dp"
                    android:paddingRight="28dp"
                    android:singleLine="true"
                    android:textColor="@color/codetipscolor"
                    android:textColorHint="@color/codehintcolor"
                    android:textSize="16sp" />

                <androidx.cardview.widget.CardView
                    android:id="@+id/codeenter_cv"
                    android:layout_width="24dp"
                    android:layout_height="24dp"
                    android:layout_gravity="center_vertical|right"
                    android:layout_marginRight="18dp"
                    app:cardBackgroundColor="@color/white">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="11dp"
                        android:layout_gravity="center"
                        android:src="@drawable/icon_etenter" />
                </androidx.cardview.widget.CardView>
            </FrameLayout>

            <TextView
                android:id="@+id/locktips_tv"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="18dp"
                android:text="@string/locktips"
                android:textColor="@color/codetipscolor"
                android:textSize="17sp" />
        </LinearLayout>

        <TextView
            android:id="@+id/version_tv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="bottom|left"
            android:layout_marginLeft="10dp"
            android:layout_marginBottom="10dp"
            android:textColor="#253A70"
            android:textSize="8sp" />

        <LinearLayout
            android:id="@+id/netset_llayout"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="bottom|right"
            android:layout_marginRight="10dp"
            android:layout_marginBottom="10dp"
            android:paddingLeft="10dp"
            android:paddingTop="10dp"
            android:gravity="center"
            android:orientation="horizontal">

            <ImageView
                android:layout_width="10dp"
                android:layout_height="10dp"
                android:layout_marginRight="3dp"
                android:src="@drawable/icon_wifiset" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/netset"
                android:textColor="#253A70"
                android:textSize="8sp" />
        </LinearLayout>
    </FrameLayout>
</LinearLayout>